Package com.io7m.cardant.model

# Record Class CAMetadataValueMatchType.IntegralMatchType.WithinRange

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataValueMatchType.IntegralMatchType.WithinRange

Record Components:
  `lower` - The lower bound
  `upper` - The upper bound

All Implemented Interfaces:
  `CAMetadataValueMatchType`, `CAMetadataValueMatchType.IntegralMatchType`

Enclosing interface:
  `CAMetadataValueMatchType.IntegralMatchType`

public static record CAMetadataValueMatchType.IntegralMatchType.WithinRange(long lower, long upper) extends Record implements CAMetadataValueMatchType.IntegralMatchType
Match metadata of an integral type with values within the given inclusive range.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType

  `CAMetadataValueMatchType.AnyValue, CAMetadataValueMatchType.IntegralMatchType, CAMetadataValueMatchType.MonetaryMatchType, CAMetadataValueMatchType.RealMatchType, CAMetadataValueMatchType.TextMatchType, CAMetadataValueMatchType.TimeMatchType`

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType.IntegralMatchType

  `CAMetadataValueMatchType.IntegralMatchType.WithinRange`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WithinRange(long lower, long upper)`
  Creates an instance of a `WithinRange` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `lower()`
  Returns the value of the `lower` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `long`
  `upper()`
  Returns the value of the `upper` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WithinRange

    public WithinRange(long lower, long upper)
    Creates an instance of a `WithinRange` record class.
    Parameters:
      `lower` - the value for the `lower` record component
      `upper` - the value for the `upper` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### lower

    public long lower()
    Returns the value of the `lower` record component.
    Returns:
      the value of the `lower` record component

  - ### upper

    public long upper()
    Returns the value of the `upper` record component.
    Returns:
      the value of the `upper` record component